Uninstalled program will not re-install because dependencies now not met?

Ubuntu 20.04

I have used the (ancient - 2006) Catalog management software Gwhere since Ubuntu 18. Recently, on starting, it had "forgotten" the directory where my data was stored and I had to open it every time I used the software.

So I thought I would uninstall (using Synaptic package manager) and reinstall the software using the downloaded .Deb file.

However, now the package installer tells me a Dependency is not satisfied (libglib1.2) despite Synaptic telling me I have libglib2.0 installed.

Can anyone point me to how I could get Gwhere working again - like it was 20 minutes ago before I tried to fix a really minor issue with my sledghammer. I can't ask a more focused question because I don't even know where to start looking.

Thanks for any help, Neil

Answers 1

  • According to the search on repology.org this application was last available for Ubuntu 16.04 LTS.

    To fix possible package errors run commands below:

    sudo apt-get update
    sudo apt-get install -f
    sudo dpkg --configure -a
    sudo apt-get upgrade
    sudo apt-get autoremove
    

    Then to reinstall GWhere you need to download it by using commands below:

    cd ~/Downloads
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/g/gwhere/gwhere_0.2.3.dfsg.1-4_amd64.deb
    
    sudo apt-get install ./gwhere_0.2.3.dfsg.1-4_amd64.deb
    

    Also you may be interested in trying Tellico or GCStar.


Related Questions